function ElementaryInfon(id, type) {
	this.id = id;
	this.type = type;
	this.relevantObjects = [];
}

ElementaryInfon.parse = function(data) {
	var ret = new ElementaryInfon(data.id, data.type);
	
	ret.setRelation(Relation.parse(data.relation));
	ret.setPolarity(Polarity.parse(data.polarity));
	
	var relevantObjects = data.objects;
	
	for (var i = 0; i < relevantObjects.length; i++) {
		ret.addRelevantObject(RelevantObject.parse(relevantObjects[i]));
	}
	
	return ret;
};

ElementaryInfon.prototype.getId = function() {
	return this.id;
};

ElementaryInfon.prototype.getType = function() {
	return this.type;
};

ElementaryInfon.prototype.setRelation = function(relation) {
	this.relation = relation;
};

ElementaryInfon.prototype.getRelation = function() {
	return this.relation;
};

ElementaryInfon.prototype.setPolarity = function(polarity) {
	this.polarity = polarity;
};

ElementaryInfon.prototype.getPolarity = function() {
	return this.polarity;
};

ElementaryInfon.prototype.addRelevantObject = function(relevantObject) {
	this.relevantObjects.push(relevantObject);
};

ElementaryInfon.prototype.getRelevantObjects = function() {
	return this.relevantObjects;
};

ElementaryInfon.prototype.toString = function() {
	var ret = "&lt;&lt;";
	
	ret += this.getRelation().toString();
	
	var relevantObjects = this.getRelevantObjects();
	
	for (var i = 0; i < relevantObjects.length; i++) {
		ret += ", ";
		ret += relevantObjects[i].toString();
	}
	
	ret += ", ";
	ret += this.getPolarity().valueOf();
	
	return ret.concat("&gt;&gt;");
};

ElementaryInfon.prototype.prettyPrint = function() {
	var ret;
	
	ret = this.getRelation().prettyPrint();
	
	var relevantObjects = this.getRelevantObjects();
	
	for (var i = 0; i < relevantObjects.length; i++) {
		ret += "<br/>";
		ret += relevantObjects[i].prettyPrint();
	}
	
	ret += "<br/>";
	
	if (this.getPolarity() == 1)
		ret += "<br/><strong>Polarity</strong><br/>True";
	else
		ret += "<br/><strong>Polarity</strong><br/>False";
	
	return ret;
};
