function Situation(id, type) {
	this.id = id;
	this.type = type;
	this.supportedInfons = [];
}

Situation.parse = function(data) {
	var ret = new Situation(data.id, data.type);
	
	for (var i = 0; i < data.supportedInfons.length; i++) {
		ret.addSupportedInfon(ElementaryInfon.parse(data.supportedInfons[i]));
	}
	
	return ret;
};

Situation.prototype.getId = function() {
	return this.id;
};

Situation.prototype.getType = function() {
	return this.type;
};

Situation.prototype.addSupportedInfon = function(elementaryInfon) {
	this.supportedInfons.push(elementaryInfon);
};

Situation.prototype.getSupportedInfons = function() {
	return this.supportedInfons;
};

Situation.prototype.toString = function() {
	var ret = "";
	var supportedInfons = this.getSupportedInfons();
	
	for (var i = 0; i < supportedInfons.length; i++) {
		ret += supportedInfons[i].toString();
	}
	
	return ret;
};

Situation.prototype.prettyPrint = function() {
	var ret = "";
	var supportedInfons = this.getSupportedInfons();
	
	for (var i = 0; i < supportedInfons.length; i++) {
		ret += supportedInfons[i].prettyPrint();
		ret += "<br/>";
	}
	
	return ret;
};

