function SpatialRegion(id, type) {
	Attribute.call(this, id, type);
}

SpatialRegion.prototype = new Attribute();

SpatialRegion.parse = function(data) {
	var ret = new SpatialRegion(data.id, data.type);
	
	ret.setGeometry(Geometry.parse(data.geometry));
	
	return ret;
};

SpatialRegion.prototype.setGeometry = function(geometry) {
	this.geometry = geometry;
};

SpatialRegion.prototype.getGeometry = function() {
	return this.geometry;
};

SpatialRegion.prototype.toString = function() {
	return this.id;
};

SpatialRegion.prototype.getLabel = function() {
	var label = URI_LABEL_MAP[this.id];
	
	if (label == undefined)
		return this.id;
	
	return label;
};

SpatialRegion.prototype.prettyPrint = function() {
	return "<br/><strong>Spatial location</strong><br/>" + this.getLabel();
};