function TimeInterval(id, type) {
	Attribute.call(this, id, type);
}

TimeInterval.prototype = new Attribute();

TimeInterval.parse = function(data) {
	var ret = new TimeInterval(data.id, data.type);
	var value = data.value;
	var values = value.split("/");
	
	ret.setStart(new Date(Date.parse(values[0])));
	ret.setEnd(new Date(Date.parse(values[1])));
	
	return ret;
};

TimeInterval.prototype.setStart = function(start) {
	this.start = start;
};

TimeInterval.prototype.setEnd = function(end) {
	this.end = end;
};

TimeInterval.prototype.getStart = function() {
	return this.start;
};

TimeInterval.prototype.getEnd = function() {
	return this.end;
};

TimeInterval.prototype.toString = function() {
	return this.start + "/" + this.end;
};

TimeInterval.prototype.prettyPrint = function() {
	return "<br/><strong>Temporal location</strong><br/>" + this.start + "<br/>" + this.end;
};