/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.component.reader;

import fi.uef.envi.wavellite.entity.core.Feature;
import fi.uef.envi.wavellite.entity.core.Property;
import fi.uef.envi.wavellite.entity.core.Quality;
import fi.uef.envi.wavellite.entity.core.Sensor;
import fi.uef.envi.wavellite.entity.core.SpatialLocation;
import fi.uef.envi.wavellite.entity.core.TemporalLocation;
import fi.uef.envi.wavellite.entity.measurement.MeasurementResult;
import fi.uef.envi.wavellite.entity.measurement.MeasurementValue;

/**
 * <p>
 * Title: ReaderMeasurement
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Component
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public interface ReaderMeasurement extends Reader<MeasurementResult> {

	public void emit(MeasurementResult result);

	public void emit(MeasurementValue value);

	public void emit(MeasurementValue value, Sensor sensor);

	public void emit(MeasurementValue value, Sensor sensor, Property property);

	public void emit(MeasurementValue value, Sensor sensor, Property property,
			Feature feature);

	public void emit(MeasurementValue value, Sensor sensor, Property property,
			Feature feature, TemporalLocation temporalLocation);

	public void emit(MeasurementValue value, Sensor sensor, Property property,
			Feature feature, TemporalLocation temporalLocation,
			SpatialLocation spatialLocation);

	public void emit(MeasurementValue value, Sensor sensor, Property property,
			Feature feature, TemporalLocation temporalLocation,
			SpatialLocation spatialLocation, Quality quality);

}
