/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.component.reader.base;

import fi.uef.envi.wavellite.component.reader.ReaderMeasurement;
import fi.uef.envi.wavellite.entity.core.Feature;
import fi.uef.envi.wavellite.entity.core.Property;
import fi.uef.envi.wavellite.entity.core.Quality;
import fi.uef.envi.wavellite.entity.core.Sensor;
import fi.uef.envi.wavellite.entity.core.SpatialLocation;
import fi.uef.envi.wavellite.entity.core.TemporalLocation;
import fi.uef.envi.wavellite.entity.measurement.MeasurementResult;
import fi.uef.envi.wavellite.entity.measurement.MeasurementValue;
import fi.uef.envi.wavellite.entity.measurement.base.MeasurementResultBase;
import fi.uef.envi.wavellite.entity.measurement.base.MeasurementValueContextBase;

/**
 * <p>
 * Title: AbstractReaderMeasurement
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Component
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public abstract class AbstractReaderMeasurement extends
		AbstractReader<MeasurementResult> implements ReaderMeasurement {

	@Override
	public void emit(MeasurementValue value) {
		emit(value, null);
	}

	@Override
	public void emit(MeasurementValue value, Sensor sensor) {
		emit(value, sensor, null);
	}

	@Override
	public void emit(MeasurementValue value, Sensor sensor, Property property) {
		emit(value, sensor, property, null);
	}

	@Override
	public void emit(MeasurementValue value, Sensor sensor, Property property,
			Feature feature) {
		emit(value, sensor, property, feature, null);
	}

	@Override
	public void emit(MeasurementValue value, Sensor sensor, Property property,
			Feature feature, TemporalLocation temporalLocation) {
		emit(value, sensor, property, feature, temporalLocation, null);
	}

	@Override
	public void emit(MeasurementValue value, Sensor sensor, Property property,
			Feature feature, TemporalLocation temporalLocation,
			SpatialLocation spatialLocation) {
		emit(value, sensor, property, feature, temporalLocation,
				spatialLocation, null);
	}

	@Override
	public void emit(MeasurementValue value, Sensor sensor, Property property,
			Feature feature, TemporalLocation temporalLocation,
			SpatialLocation spatialLocation, Quality quality) {
		emit(new MeasurementResultBase(value, new MeasurementValueContextBase(
				sensor, property, feature, temporalLocation, spatialLocation,
				quality)));
	}

}
