/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.example.processing;

import static fi.uef.envi.wavellite.entity.core.EntityFactory.feature;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.measurementResult;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.measurementValue;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.measurementValueContext;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.property;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.sensor;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.now;

import java.util.Queue;

import org.joda.time.DateTime;

import fi.uef.envi.wavellite.entity.measurement.MeasurementResult;
import fi.uef.envi.wavellite.entity.observation.ObservationValue;
import fi.uef.envi.wavellite.entity.observation.SensorObservation;
import fi.uef.envi.wavellite.entity.observation.SensorOutput;
import fi.uef.envi.wavellite.module.processing.ModuleProcessing;
import fi.uef.envi.wavellite.module.processing.base.ModuleProcessingMeasurementResult;

/**
 * <p>
 * Title: ExampleModuleProcessingMeasurementResult
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Example
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public class ExampleModuleProcessingMeasurementResult {

	public static void main(String[] args) {
		ModuleProcessing<MeasurementResult, SensorObservation> module = new ModuleProcessingMeasurementResult();
		Queue<SensorObservation> queue = module.result();

		module.consider(measurementResult(
				measurementValue(),
				measurementValueContext(sensor("aSensor"),
						property("aProperty"), feature("aFeature"), now())));

		SensorObservation observation = queue.poll();
		SensorOutput sensorOutput = observation.getSensorOutput();
		ObservationValue observationValue = sensorOutput.getObservationValue();
		
		DateTime now = observation.getTemporalLocation().getValueAsDateTime();
		Double value = observationValue.getValueAsDouble();
		
		System.out.println(now + " " + value);
	}

}
