/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.example.store;

import static fi.uef.envi.wavellite.entity.core.EntityFactory.feature;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.measurementResult;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.measurementValue;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.measurementValueContext;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.property;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.sensor;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.dateTime;
import static fi.uef.envi.wavellite.entity.core.EntityFactory.interval;

import java.util.Iterator;

import fi.uef.envi.wavellite.entity.observation.SensorObservation;
import fi.uef.envi.wavellite.module.store.ModuleStore;
import fi.uef.envi.wavellite.module.store.stardog.ModuleStoreStardog;

/**
 * <p>
 * Title: ExampleModuleStoreStardogSensorObservation
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Example
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public class ExampleModuleStoreStardogSensorObservation {

	private static final String ns = "http://example.org#";

	public static void main(String[] args) {
		ModuleStore store = new ModuleStoreStardog("localhost", "test", ns);

		store.consider(measurementResult(
				measurementValue(),
				measurementValueContext(sensor("aSensor"),
						property("aProperty"), feature("aFeature"),
						dateTime(2014, 2, 14, 0, 0, 0))));

		Iterator<SensorObservation> it = store.getSensorObservations(
				sensor(ns + "aSensor"),
				null,
				null,
				interval(dateTime(2014, 2, 13, 0, 0, 0),
						dateTime(2014, 2, 15, 0, 0, 0)));

		while (it.hasNext()) {
			SensorObservation o = it.next();

			System.out.println(o);
		}

		store.close();
	}

}
