/*
 * Copyright (C) 2013 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.math.matrix;

import java.util.Iterator;
import java.util.List;

import fi.uef.envi.wavellite.entity.derivation.ComponentPropertyValue;

/**
 * <p>
 * Title: MatrixColumnIterator
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Math
 * </p>
 * <p>
 * Copyright: Copyright (C) 2013
 * </p>
 * 
 * @author Markus Stocker
 */

public class MatrixColumnIterator implements
		Iterator<ComponentPropertyValue> {

	private int colIndex;
	private Iterator<List<ComponentPropertyValue>> iterator;

	public MatrixColumnIterator(
			List<List<ComponentPropertyValue>> matrix, int colIndex) {
		this.colIndex = colIndex;
		
		iterator = matrix.iterator();
	}

	@Override
	public boolean hasNext() {
		return iterator.hasNext();
	}

	@Override
	public ComponentPropertyValue next() {
		List<ComponentPropertyValue> next = iterator.next();
		
		return next.get(colIndex);
	}

	@Override
	public void remove() {
		throw new UnsupportedOperationException(
				"Operation not supported by this iterator");
	}

}
