/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.math.matrix.operation.base;

import fi.uef.envi.wavellite.entity.derivation.Dataset;
import fi.uef.envi.wavellite.entity.derivation.ComponentProperty;
import fi.uef.envi.wavellite.math.matrix.Matrix;

/**
 * <p>
 * Title: OperationSmooth
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Math
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public class OperationSmooth {

	public Matrix smooth(Matrix matrix,
			ComponentProperty temporalLocationDimension,
			Dataset targetDataset, int windowLength) {
		Matrix ret = new Matrix();

		// First sort the matrix in ascending order of temporal location
		OperationSort sortOp = new OperationSort();
		Matrix sorted = sortOp.temporalLocation(
				matrix, temporalLocationDimension, targetDataset);

		OperationMean meanOp = new OperationMean();

		for (int i = 0; i < sorted.size() - windowLength + 1; i++) {
			Matrix sub = sorted.getDatasetObservations(i, i
					+ windowLength);
			ret.addDatasetObservation(meanOp.evaluate(sub,
					temporalLocationDimension, targetDataset));
		}

		return ret;
	}
}
