/*
 * Copyright (C) 2013 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.operator.processing.base;

import fi.uef.envi.wavellite.entity.derivation.Dataset;
import fi.uef.envi.wavellite.operator.processing.DatasetObservationProcessor;

/**
 * <p>
 * Title: AbstractDatasetObservationProcessor
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Operator
 * </p>
 * <p>
 * Copyright: Copyright (C) 2013
 * </p>
 * 
 * @author Markus Stocker
 */

public abstract class AbstractDatasetObservationProcessor implements
		DatasetObservationProcessor {

	protected Dataset targetDataset;
	protected String datasetObservationType;

	public AbstractDatasetObservationProcessor(Dataset targetDataset,
			String datasetObservationType) {
		setTargetDataset(targetDataset);
		setDatasetObservationType(datasetObservationType);
	}
	
	@Override
	public void setTargetDataset(Dataset dataset) {
		if (dataset == null)
			throw new NullPointerException("[targetDataset = null]");
		
		this.targetDataset = dataset;
	}
	
	@Override
	public Dataset getTargetDataset() {
		return targetDataset;
	}
	
	@Override
	public String getDatasetObservationType() {
		return datasetObservationType;
	}

	@Override
	public void setDatasetObservationType(String type) {
		this.datasetObservationType = type;
	}
	
}
