/*
 * Copyright (C) 2013 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.operator.translation;

import fi.uef.envi.wavellite.entity.derivation.Dataset;
import fi.uef.envi.wavellite.entity.derivation.DatasetObservation;
import fi.uef.envi.wavellite.entity.derivation.base.ComponentPropertyDimension;
import fi.uef.envi.wavellite.entity.derivation.base.ComponentPropertyMeasure;
import fi.uef.envi.wavellite.entity.observation.SensorObservation;
import fi.uef.envi.wavellite.operator.Operator;

/**
 * <p>
 * Title: SensorObservationTranslator
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Operator
 * </p>
 * <p>
 * Copyright: Copyright (C) 2013
 * </p>
 * 
 * @author Markus Stocker
 */

public interface SensorObservationTranslator extends Operator {

	public DatasetObservation translate(SensorObservation observation);

	public ComponentPropertyDimension getTemporalLocationDimension();

	public void setTemporalLocationDimension(ComponentPropertyDimension dimension);

	public ComponentPropertyMeasure getSensorOutputMeasure();

	public void setSensorOutputMeasure(ComponentPropertyMeasure range);

	public Dataset getTargetDataset();

	public void setTargetDataset(Dataset dataset);

	public String getDatasetObservationType();

	public void setDatasetObservationType(String type);

}
