/*
 * Copyright (C) 2013 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.operator.extraction.weka.test;

import org.junit.Test;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotEquals;

import weka.classifiers.Classifier;
import weka.classifiers.functions.MultilayerPerceptron;

import fi.uef.envi.wavellite.entity.derivation.DatasetObservation;
import fi.uef.envi.wavellite.entity.derivation.base.ComponentPropertyBase;
import fi.uef.envi.wavellite.entity.derivation.base.ComponentPropertyValueDouble;
import fi.uef.envi.wavellite.entity.derivation.base.ComponentPropertyValueInteger;
import fi.uef.envi.wavellite.entity.derivation.base.DatasetObservationBase;
import fi.uef.envi.wavellite.operator.extraction.base.weka.SituationExtractorWeka;

/**
 * <p>
 * Title: SituationExtractionWekaTest
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Operator
 * </p>
 * <p>
 * Copyright: Copyright (C) 2013
 * </p>
 * 
 * @author Markus Stocker
 */

public class SituationExtractionWekaTest {

	@Test
	public void test1() {
		Classifier c = new MultilayerPerceptron();
		SituationExtractorWeka a = null;

		try {
			a = new SituationExtractorWeka(c,
					"src/test/resources/test.knowledgeacquirerweka.1.arff");
		} catch (Exception e) {
			e.printStackTrace();
		}

		DatasetObservation o = new DatasetObservationBase();

		o.addComponent(new ComponentPropertyBase("p1"),
				new ComponentPropertyValueInteger(6));
		o.addComponent(new ComponentPropertyBase("p2"),
				new ComponentPropertyValueDouble(12.0));
		o.addComponent(new ComponentPropertyBase("p3"),
				new ComponentPropertyValueInteger(18));

		assertEquals("A", a.classify(o));
	}
	
	@Test
	public void test2() {
		Classifier c = new MultilayerPerceptron();
		SituationExtractorWeka a = null;

		try {
			a = new SituationExtractorWeka(c,
					"src/test/resources/test.knowledgeacquirerweka.1.arff");
		} catch (Exception e) {
			e.printStackTrace();
		}

		DatasetObservation o = new DatasetObservationBase();

		o.addComponent(new ComponentPropertyBase("p1"),
				new ComponentPropertyValueInteger(6));
		o.addComponent(new ComponentPropertyBase("p2"),
				new ComponentPropertyValueDouble(12.0));
		o.addComponent(new ComponentPropertyBase("p3"),
				new ComponentPropertyValueInteger(18));

		assertNotEquals("B", a.classify(o));
	}
	
}
