/*
 * Copyright (C) 2013 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.representation.json;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.ObjectNode;

import fi.uef.envi.wavellite.entity.core.Sensor;
import fi.uef.envi.wavellite.entity.observation.SensorObservation;

/**
 * <p>
 * Title: EntityRepresentationJsonSsn
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project:
 * </p>
 * <p>
 * Copyright: Copyright (C) 2013
 * </p>
 * 
 * @author Markus Stocker
 */

public class EntityRepresentationJsonSsn extends EntityRepresentationJson {

	@Override
	public JsonNode createRepresentation(Sensor sensor) {
		ObjectNode ret = mapper.createObjectNode();

		ret.put("id", sensor.getId());
		ret.put("type", sensor.getType());

		return ret;
	}
	
	@Override
	public JsonNode createRepresentation(SensorObservation observation) {
		ObjectNode ret = mapper.createObjectNode();
		
		ret.put("id", observation.getId());
		ret.put("type", observation.getType());
		
		Sensor s = observation.getSensor();
		ObjectNode n1 = mapper.createObjectNode();
		ret.put("sensor", n1);
		n1.put("id", s.getId());
		n1.put("type", s.getType());
		
		return ret;
	}
	
}
