/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.representation.text;

import fi.uef.envi.wavellite.entity.core.SpatialLocation;
import fi.uef.envi.wavellite.entity.core.SpatialLocationVisitor;
import fi.uef.envi.wavellite.entity.core.base.SpatialLocationPlace;
import fi.uef.envi.wavellite.entity.core.base.SpatialLocationRegion;

/**
 * <p>
 * Title: EntityRepresentationTextGeo
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Representation
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public class EntityRepresentationTextGeo extends EntityRepresentationText {

	private String representation;
	private SpatialLocationVisitor visitor = new ThisSpatialLocationVisitor();

	@Override
	public String createRepresentation(SpatialLocation location) {
		location.accept(visitor);

		return representation;
	}

	@Override
	public String createRepresentation(SpatialLocationPlace place) {
		return place.getId();
	}

	@Override
	public String createRepresentation(SpatialLocationRegion region) {
		return region.getId();
	}

	private class ThisSpatialLocationVisitor implements SpatialLocationVisitor {

		@Override
		public void visit(SpatialLocationPlace location) {
			representation = createRepresentation(location);
		}

		@Override
		public void visit(SpatialLocationRegion location) {
			representation = createRepresentation(location);
		}

	}
}
