/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.representation.json.test;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.vividsolutions.jts.geom.Coordinate;
import com.vividsolutions.jts.geom.GeometryFactory;
import com.vividsolutions.jts.geom.Point;

import fi.uef.envi.wavellite.entity.core.SpatialGeometry;
import fi.uef.envi.wavellite.entity.core.base.SpatialGeometryPoint;
import fi.uef.envi.wavellite.entity.core.base.SpatialLocationRegion;
import fi.uef.envi.wavellite.representation.json.EntityRepresentationJsonGeo;

/**
 * <p>
 * Title: EntityRepresentationJsonGeoTest
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Representation
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public class EntityRepresentationJsonGeoTest {

	private static final ObjectMapper mapper = new ObjectMapper();
	
	@Test
	public void test1() {
		EntityRepresentationJsonGeo r = new EntityRepresentationJsonGeo();

		GeometryFactory gf = new GeometryFactory();
		Point p = gf.createPoint(new Coordinate(0.0, 0.0));

		SpatialGeometry sg = new SpatialGeometryPoint("l1", "t1", p);
		SpatialLocationRegion sl = new SpatialLocationRegion("sl1", "t2", sg);

		JsonNode a = r.createRepresentation(sl);
		
		ObjectNode geometryN = mapper.createObjectNode();
		geometryN.put("id", "l1");
		geometryN.put("type", "t1");
		geometryN.put("class", SpatialGeometryPoint.class.getName());
		geometryN.put("wkt", sg.getValueAsWKT());
		
		ObjectNode e = mapper.createObjectNode();
		e.put("id", "sl1");
		e.put("type", "t2");
		e.put("class", SpatialLocationRegion.class.getName());
		e.put("geometry", geometryN);
		
		assertEquals(e, a);
	}
	
}
