/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.representation.json.test;

import static org.junit.Assert.assertEquals;

import org.joda.time.format.DateTimeFormatter;
import org.joda.time.format.ISODateTimeFormat;
import org.junit.Test;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.node.ObjectNode;

import fi.uef.envi.wavellite.entity.core.TemporalLocation;
import fi.uef.envi.wavellite.entity.core.base.TemporalLocationDateTime;
import fi.uef.envi.wavellite.representation.json.EntityRepresentationJsonTime;

/**
 * <p>
 * Title: EntityRepresentationJsonTimeTest
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Representation
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public class EntityRepresentationJsonTimeTest {

	private static final ObjectMapper mapper = new ObjectMapper();
	private static final DateTimeFormatter dtf = ISODateTimeFormat.dateTime()
			.withOffsetParsed();

	@Test
	public void test1() {
		EntityRepresentationJsonTime r = new EntityRepresentationJsonTime();

		TemporalLocation l = new TemporalLocationDateTime("tl1", "t1",
				dtf.parseDateTime("2013-10-31T00:00:00.000+02:00"));
		JsonNode a = r.createRepresentation(l);

		ObjectNode e = mapper.createObjectNode();
		e.put("id", "tl1");
		e.put("type", "t1");
		e.put("class", TemporalLocationDateTime.class.getName());
		e.put("value", "2013-10-31T00:00:00.000+02:00");

		assertEquals(e, a);
	}
}
