/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.representation.text.test;

import org.joda.time.format.DateTimeFormatter;
import org.joda.time.format.ISODateTimeFormat;
import org.junit.Test;
import static org.junit.Assert.assertEquals;

import fi.uef.envi.wavellite.entity.core.base.TemporalLocationDateTime;
import fi.uef.envi.wavellite.entity.situation.ElementaryInfon;
import fi.uef.envi.wavellite.entity.situation.RelevantObject;
import fi.uef.envi.wavellite.entity.situation.Situation;
import fi.uef.envi.wavellite.entity.situation.base.AttributeTemporalLocation;
import fi.uef.envi.wavellite.entity.situation.base.ElementaryInfonBase;
import fi.uef.envi.wavellite.entity.situation.base.RelationBase;
import fi.uef.envi.wavellite.entity.situation.base.SituationBase;
import fi.uef.envi.wavellite.representation.text.EntityRepresentationText;
import fi.uef.envi.wavellite.representation.text.EntityRepresentationTextSto;

/**
 * <p>
 * Title: EntityRepresentationTextStoTest
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Representation
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

public class EntityRepresentationTextStoTest {

	private static final String NL = System.getProperty("line.separator");
	private EntityRepresentationText r = new EntityRepresentationTextSto();
	private DateTimeFormatter dtf = ISODateTimeFormat.dateTime()
			.withOffsetParsed();

	@Test
	public void test1() {
		Situation s = new SituationBase("s1");
		s.addSupportedInfon(new ElementaryInfonBase("i1",
				new RelationBase("r1")));

		assertEquals("s1 |= <<r1, 1>>" + NL, r.createRepresentation(s));
	}

	@Test
	public void test2() {
		Situation s = new SituationBase("s1");
		ElementaryInfon i = new ElementaryInfonBase("i1",
				new RelationBase("r1"));
		RelevantObject o = new AttributeTemporalLocation("dt1",
				new TemporalLocationDateTime("dt1",
						dtf.parseDateTime("2011-08-08T00:01:00.000+03:00")));
		i.addRelevantObject(o);
		s.addSupportedInfon(i);

		assertEquals("s1 |= <<r1, 2011-08-08T00:01:00.000+03:00, 1>>" + NL,
				r.createRepresentation(s));
	}

}
