/*
 * Copyright (C) 2014 see CREDITS.txt
 * All rights reserved.
 */

package fi.uef.envi.wavellite.server;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

import javax.servlet.ServletContext;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import com.fasterxml.jackson.core.JsonProcessingException;

import fi.uef.envi.wavellite.entity.situation.Relation;
import fi.uef.envi.wavellite.representation.json.EntityRepresentationJsonSto;
import fi.uef.envi.wavellite.server.handler.RequestHandler;
import fi.uef.envi.wavellite.server.handler.ResponseHandler;

/**
 * <p>
 * Title: ResourceRelation
 * </p>
 * <p>
 * Description:
 * </p>
 * <p>
 * Project: Wavellite Server
 * </p>
 * <p>
 * Copyright: Copyright (C) 2014
 * </p>
 * 
 * @author Markus Stocker
 */

@Path("{db}/relation")
public class ResourceRelation {

	@PathParam("db")
	private String db;

	@Context
	private ServletContext servletContext;

	@GET
	@Path("list")
	@Produces(MediaType.APPLICATION_JSON)
	public Response getListAsJson() throws JsonProcessingException {
		return ResponseHandler.getJsonResponse(
				new EntityRepresentationJsonSto(),
				RequestHandler.getRelations(servletContext, db));
	}

	@GET
	@Path("list")
	@Produces(MediaType.TEXT_HTML)
	public Response getListAsHtml() {
		Iterator<Relation> it = RequestHandler.getRelations(servletContext, db);

		Set<String> data = new HashSet<String>();

		while (it.hasNext()) {
			data.add(it.next().getId());
		}

		return ResponseHandler.getHtmlResponse("/relation-list", data);
	}

}
